Subject: Re: bug#8638: 24.0.50; Imenu should not include vacuous defvars

From: Juanma Barranquero <[email-masked]>
Date: Sun, 8 May 2011 22:29:32 +0200

On Sun, May 8, 2011 at 22:03, Drew Adams <[email-masked]> wrote:

> When you follow a Variables menu entry to its code, you want to see what the
> code for the variable is.  You do not want to see only a vacuous defvar that
> provides no more information than the menu item itself.

The imenu index is not documentation. It is an index to code. So if
the "vacuous variable" has twenty lines of comment explaining its
purpose and why it does not have or require a docstring or an initial
value, I fully expect imenu to help me get there too, just as if it
were a normal, "full" variable. Your expectations for imenu are just
that, your expectations. I prefer to be the judge of what it is
interesting in the code and what is not, not some imenu filter.

But that's just my opinion. I'm not going to complain if someone fixes
this bug to your liking.

    Juanma